#!/bin/sh

PDIR="`pwd`"
export WKD=$PDIR

if [ `command -v msgfmt` ]; then
    if [ -f $WKD/puppy.mo ] ; then
        rm $WKD/puppy.mo
        echo "removed old puppy.mo file"
    else
        echo "First run, creating puppy.mo file"
    fi
    msgfmt $WKD/puppy.pot -o $WKD/puppy.mo
    echo "created new puppy.mo file"
    MY_LANG="${LANG%_*}"
    if [ ! -d "/usr/share/locale/$MY_LANG/LC_MESSAGES" ] ; then
        mkdir -p /usr/share/locale/$MY_LANG/LC_MESSAGES
        echo "created /usr/share/locale/$MY_LANG/LC_MESSAGES folder"
        cp -f $WKD/puppy.mo /usr/share/locale/$MY_LANG/LC_MESSAGES
        echo "installed puppy.mo to /usr/share/locale/$MY_LANG/LC_MESSAGES"
    else
        cp -f $WKD/puppy.mo /usr/share/locale/$MY_LANG/LC_MESSAGES
        echo "installed puppy.mo to /usr/share/locale/$MY_LANG/LC_MESSAGES"
    fi
    echo "Done"
else
    echo "Please load DEVX.SFS first..."
fi
